| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions | Variables
img_colour.cpp File Reference

Functions to handle RGB images. More...

`#include "img_colour.h"`
`#include "trigonometry.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
Bimage * | img_phase_colour_wheel ()
| Generates a phase color wheel. More...

## Variables
int | verbose

## Detailed Description

Functions to handle RGB images.

Author
  Bernard Heymann

Date
  Created: 19990321
  Modified: 20150715

Definition in file img_colour.cpp.

## Function Documentation

Bimage* img_phase_colour_wheel | ( |  | ) |

Generates a phase color wheel.

Returns
  int 0.

      A new image is generated and written (ps_color_wheel.png, 512x512), where
      a coordinate (x,y) is converted to polar form:
          a = arctan(y/x)
          r = sqrt(x^2+y^2)
      The color is a function of the angle a and saturation is a function
      of the distance from the origin.

Definition at line 29 of file img_colour.cpp.

## Variable Documentation

int verbose